Subject: Broken .exe files?
From: [email-masked] (Kevin Hughes)

8 Dec 1997 06:20:57 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
To: "Gnuwin95 (E-mail)" <[email-masked]>

Some time ago I sent a request to the group regarding broken .exe files being produced by the gnu compiler. 
I am still stuck and would appreciate help in tracking the problem down.

The system I have produces a large .exe file - around 6 meg. The major part of this is a library which it  links with
As a standard libxxx.a file. When I try to run it I get an error indicating something wrong with the executable. 
It is not specific - error 0.
The file is not a valid executable. If I strip the executable it shrinks and becomes perfectly well behaved.

I am really confused. 

Is there any way of checking the executable? 
Has anyone else experienced this?
Would building a dll for the library and dynamically loading it help?

All suggestions would be much appreciated.

Kevin

Kevin

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".